#ifndef CLAYOUT_CLAY_FLEX_H
#define CLAYOUT_CLAY_FLEX_H


enum clay_flex_direction_e {
    CLAY_FLEX_DIRECTION_ROW = 0,
    CLAY_FLEX_DIRECTION_ROW_REVERSE = 1,
    CLAY_FLEX_DIRECTION_COLUMN = 2,
    CLAY_FLEX_DIRECTION_COLUMN_REVERSE = 3,
};

enum clay_flex_wrap_e {
    CLAY_FLEX_WRAP_NO_WRAP = 0,
    CLAY_FLEX_WRAP_WRAP = 1,
    CLAY_FLEX_WRAP_WRAP_REVERSE = 2,
};

enum clay_flex_align_items_e {
    CLAY_FLEX_ALIGN_ITEMS_START = 0,
    CLAY_FLEX_ALIGN_ITEMS_END = 1,
    CLAY_FLEX_ALIGN_ITEMS_CENTER = 2,
    CLAY_FLEX_ALIGN_ITEMS_STRETCH = 3,
};

enum clay_flex_align_content_e {
    CLAY_FLEX_ALIGN_CONTENT_START = 0,
    CLAY_FLEX_ALIGN_CONTENT_END = 1,
    CLAY_FLEX_ALIGN_CONTENT_CENTER = 2,
    CLAY_FLEX_ALIGN_CONTENT_STRETCH = 3,
    CLAY_FLEX_ALIGN_CONTENT_SPACE_BETWEEN = 4,
    CLAY_FLEX_ALIGN_CONTENT_SPACE_AROUND = 5,
    CLAY_FLEX_ALIGN_CONTENT_SPACE_EVENLY = 6,
};


clay clay_create_flex(clay_ctx);

void clay_flex_register_props(clay_ctx ctx); // todo: should be private

#endif //CLAYOUT_CLAY_FLEX_H
